<h2 mat-dialog-title>Confirmation dialog</h2>
<div mat-dialog-content class="mat-typography">
    Are you sure you want to {{dialogAction}} the selected {{objects}}?
</div>
<div mat-dialog-actions align="end">
    <button mat-raised-button color="primary" [mat-dialog-close]="true">OK</button>
    <button mat-raised-button [mat-dialog-close]="false">Cancel</button>
</div>